(* d_kp2d.m *)
(* Menu item 2-3 *)

(* Last Updated:  19 May, 2008, 13:33 by DP at CSM *)

(***  KADOMTSEV-PETVIASHVILI (KP) EQUATION  ***)

(* The parameter alpha occurs after a rescaling of constants.  The       *)
(* new scaling was helpful in comparing results to other published work. *)

(* THE KP EQUATION:                                                      *)

eq[1] = D[D[u[1][x,y,t],t] + alpha*u[1][x,y,t]*D[u[1][x,y,t],x] +
        D[u[1][x,y,t],{x,3}],x] + sigma^2*D[u[1][x,y,t],{y,2}];

(* NOTE:  To put the KP equation in evolution form, y and t must be     *)
(* interchanged. Then an auxillary dependent variable is be introduced, *)
(* forming a system. The evolution system for the KP equation is        *)
(*
 eq[1] = D[u[1][x,y,t],t] - u[2][x,y,t];

 eq[2] = D[u[2][x,y,t], t] + (1/sigma^2)*(D[u[1][x,y,t],y,x] +
         alpha*D[u[1][x,y,t], x]^2 + alpha*u[1][x,y,t]*D[u[1][x,y,t],{x,2}] +
         D[u[1][x,y,t],{x,4}]);
*)

diffFunctionListINPUT = {eq[1]};
numDependentVariablesINPUT = 1;
independentVariableListINPUT = {x,y};
nameINPUT = "the Kadomtsev-Petvishvili Equation";

parametersINPUT = {alpha, sigma};
weightedParametersINPUT = {};

userWeightRulesINPUT = {};
rankRhoINPUT = Null;
explicitIndependentVariablesInDensitiesINPUT = Null;

(* formRhoINPUT only works with the evolution system.  The conservation *)
(* laws being tested must be transformed to match the evolution system. *)
formRhoINPUT = {};

(* REFERENCE:                                                           *)
(* B. B. Kadomtsev and V. I. Petviashvili, On the stability of solitary *)
(* waves in weakly dispersive media,                                    *)
(* Sov. Phys. Dokl., V. 15 (1970), pp. 539-541.                         *)

(* d_kp2d.m *)
(* end of file *)
