(* d_kp3d.m *)
(* Menu item 2-8 *)

(* Last Updated:  14 June, 2009, 14:22 by DP at CSM *)

(***  The (3+1)-dimensional version of the KADOMTSEV-PETVISHVILI (KP)  ***)
(***  EQUATION.                                                        ***)

(* Taken from:  Break up of two-dimensional into three-dimensional KP    *)
(* solitons.                                                             *)

eq[1] = D[u[1][x,y,t],x,t] + 6*D[u[1][x,y,t],x]^2 +
        6*u[1][x,y,t]*D[u[1][x,y,t],{x,2}] - D[u[1][x,y,t],{x,4}] -
        D[u[1][x,y,t],{y,2}] - D[u[1][x,y,t],{z,2}];

(* NOTE:  To put the KP equation in evolution form, z and t must be     *)
(* interchanged. Then an auxillary dependent variable is be introduced, *)
(* forming a system. The evolution system for the KP equation is        *)    
(*
eq[1] = D[u[1][x,y,z,t],t] - u[2][x,y,z,t];

eq[2] = -D[u[2][x,y,z,t],t] + D[u[1][x,y,z,t],z,x] +
        6*D[u[1][x,y,z,t],x]^2 + 6*u[1][x,y,z,t]*D[u[1][x,y,z,t],{x,2}] -
        D[u[1][x,y,z,t],{x,4}] - D[u[1][x,y,z,t],{y,2}];
*)
diffFunctionListINPUT = {eq[1]};
numDependentVariablesINPUT = 1;
independentVariableListINPUT = {x,y,z};
nameINPUT = "the (3+1)-dimensional Kadomtsev-Petvishvili Equation";
(* noteINPUT = "To create evolution equations with respect to the t-variable, "<>
            "the variables y and t have been switched with each other in the "<>
            "equations given to the program." *)

parametersINPUT = {};
weightedParametersINPUT = {};

userWeightRulesINPUT = {};
rankRhoINPUT = Null;
explicitIndependentVariablesInDensitiesINPUT = Null;

(* formRhoINPUT only works with the evolution system.  The conservation *)
(* laws being tested must be transformed to match the evolution system. *)
formRhoINPUT = {};

(* REFERENCE:                                                           *)
(* J. Hu, An algebraic method exactly solving two high-dimensional      *)
(* nonlinear evolution equations,                                       *)
(* Chaos, Solitons, and Fractals, V. 23 (2005), pp. 391-398             *)

(* d_kp3d.m *)
(* end of file *)
