(* d_ms2d.m *)
(* Menu item 2-23 *)

(* Last Updated:  7 October, 2008, 17:54 by DP at CSM *)

(***  THE MANAKOV-SANTINI (MS) SYSTEM  ***)

eq[1] = D[u[1][x,y,t],t,x] + D[u[1][x,y,t],{y,2}] +
        D[u[1][x,y,t]*D[u[1][x,y,t],x],x] +
        D[u[1][x,y,t],x,y]*D[u[2][x,y,t],x] -
        D[u[1][x,y,t],{x,2}]*D[u[2][x,y,t],y];

eq[2] = D[u[2][x,y,t],t,x] + D[u[2][x,y,t],{y,2}] +
        u[1][x,y,t]*D[u[2][x,y,t],{x,2}] +
        D[u[2][x,y,t],x]*D[u[2][x,y,t],x,y] -
        D[u[2][x,y,t],y]*D[u[2][x,y,t],{x,2}];

(* NOTE:  To put the MS equation in evolution form, y and t must be     *)
(* interchanged. Then an auxillary dependent variable is be introduced, *)
(* forming a system. The evolution system for the MS equation is        *)
(*
eq[1] = D[u[1][x,y,t],t] - u[3][x,y,t];

eq[2] = D[u[2][x,y,t],t] - u[4][x,y,t];

eq[3] = D[u[3][x,y,t],t] + D[u[1][x,y,t],y,x] +
        D[u[1][x,y,t]*D[u[1][x,y,t],x],x] +
        D[u[3][x,y,t],x]*D[u[2][x,y,t],x] -
        D[u[1][x,y,t],{x,2}]*u[4][x,y,t];

eq[4] = D[u[4][x,y,t],t] + D[u[2][x,y,t],y,x] +
        u[1][x,y,t]*D[u[2][x,y,t],{x,2}] +
        D[u[2][x,y,t],x]*D[u[4][x,y,t],x] -
        u[4][x,y,t]*D[u[2][x,y,t],{x,2}];
*)

diffFunctionListINPUT = {eq[1],eq[2]};
numDependentVariablesINPUT = 2;
independentVariableListINPUT = {x,y};
nameINPUT = "the (2+1)-dimensional Manakov-Santini System";
(* noteINPUT = "To create evolution equations with respect to the t-variable, "<>
            "the variables y and t have been switched with each other in the "<>
            "equations given to the program." *)

parametersINPUT = {};
weightedParametersINPUT = {};

userWeightRulesINPUT = {};
rankRhoINPUT = Null;
explicitIndependentVariablesInDensitiesINPUT = Null;

(* formRhoINPUT only works with the evolution system.  The conservation *)
(* laws being tested must be transformed to match the evolution system. *)
formRhoINPUT = {};

(* Forms for the generalized conservation laws.  The densities given    *)
(* match the evolution form for the MS equations.                       *)
(*
formRhoINPUT = f[y]*(u[3][x,y,t]*D[u[2][x,y,t],x] +
               D[u[1][x,y,t],x]*D[u[2][x,y,t],x]^2 +
               D[u[1][x,y,t],x]*u[4][x,y,t]) +
               D[f[y],y]*(u[1][x,y,t] + t*u[3][x,y,t] -
               t*D[u[1][x,y,t],x]*D[u[2][x,y,t],x]);
*)
(*
formRhoINPUT = f[y]*(D[u[1][x,y,t],x]*u[2][x,y,t] + D[u[2][x,y,t],x]^3 +
               D[u[2][x,y,t],x]*u[4][x,y,t] + x*(u[3][x,y,t] +
               D[u[1][x,y,t],x]*D[u[2][x,y,t],x]) +
               t*(u[3][x,y,t]*D[u[2][x,y,t],x] +
               D[u[1][x,y,t],x]*D[u[2][x,y,t],x]^2 +
               D[u[1][x,y,t],x]*u[4][x,y,t])) +
               D[f[y],y]*(u[2][x,y,t] + t*(u[1][x,y,t] +
               D[u[2][x,y,t],x]^2 + u[4][x,y,t]) +
               t^2*(u[3][x,y,t] + D[u[1][x,y,t],x]*D[u[2][x,y,t],x]));
*)
(*
formRhoINPUT = f[y]*(D[u[1][x,y,t],x]*D[u[2][x,y,t],y] +
               u[1][x,y,t]*D[u[1][x,y,t],x]*D[u[2][x,y,t],x] +
               u[3][x,y,t]*D[u[2][x,y,t],x]^2 +
               D[u[1][x,y,t],x]*D[u[2][x,y,t],x]^3 + u[3][x,y,t]*u[4][x,y,t] +
               u[4][x,y,t]*D[u[1][x,y,t],x]*D[u[2][x,y,t],x]) +
               D[f[y],y]*(D[u[1][x,y,t],x]*u[2][x,y,t] +
               t*(u[3][x,y,t]*D[u[2][x,y,t],x] +
               D[u[1][x,y,t],x]*D[u[2][x,y,t],x]^2 +
               u[4][x,y,t]*D[u[1][x,y,t],x])) + t*D[f[y],{y,2}]*u[1][x,y,t] +
               (x*D[f[y],y] + t^2*D[f[y],{y,2}])*(u[3][x,y,t] +
               D[u[1][x,y,t],x]*D[u[2][x,y,t],x]);
*)
(*
formRhoINPUT = f[y]*(u[3][x,y,t]*u[2][x,y,t] +
               D[u[1][x,y,t],x]*u[2][x,y,t]*D[u[2][x,y,t],x] +
               D[u[2][x,y,t],y]*D[u[2][x,y,t],x] +
               u[1][x,y,t]*D[u[2][x,y,t],x]^2 + D[u[2][x,y,t],x]^4 +
               u[1][x,y,t]*u[4][x,y,t] + D[u[2][x,y,t],x]^2*u[4][x,y,t] -
               u[4][x,y,t]^2 + t*(D[u[1][x,y,t],x]*D[u[2][x,y,t],y] +
               u[1][x,y,t]*D[u[1][x,y,t],x]*D[u[2][x,y,t],x] +
               u[3][x,y,t]*D[u[2][x,y,t],x]^2 +
               D[u[1][x,y,t],x]*D[u[2][x,y,t],x]^3 + u[3][x,y,t]*u[4][x,y,t] +
               D[u[1][x,y,t],x]*D[u[2][x,y,t],x]*u[4][x,y,t])) +
               (x*f[y] + t^2*D[f[y],y])*(u[3][x,y,t]*D[u[2][x,y,t],x] +
               D[u[1][x,y,t],x]*D[u[2][x,y,t],x]^2 +
               D[u[1][x,y,t],x]*u[4][x,y,t]) +
               (x*D[f[y],y] + t^2*D[f[y],{y,2}])*(u[1][x,y,t] +
               D[u[2][x,y,t],x]^2 + u[4][x,y,t] + t*(u[3][x,y,t] +
               D[u[1][x,y,t],x]*D[u[2][x,y,t],x])) +
               t*D[f[y],y]*(D[u[1][x,y,t],x]*u[2][x,y,t] + D[u[2][x,y,t],x]^3 +
               D[u[2][x,y,t],x]*u[4][x,y,t]) +
               D[f[y],{y,2}]*t*u[2][x,y,t];
*)
(*
formRhoINPUT = f[y]*(u[3][x,y,t]*D[u[2][x,y,t],y] +
               D[u[1][x,y,t],x]*D[u[2][x,y,t],x]*D[u[2][x,y,t],y] +
               D[u[1][x,y,t],y]*D[u[2][x,y,t],x]^2 +
               u[1][x,y,t]*D[u[1][x,y,t],x]*D[u[2][x,y,t],x]^2 +
               u[3][x,y,t]*D[u[2][x,y,t],x]^3 +
               D[u[1][x,y,t],x]*D[u[2][x,y,t],x]^4 +
               u[3][x,y,t]*u[4][x,y,t]*D[u[2][x,y,t],x] +
               u[4][x,y,t]*D[u[1][x,y,t],x]*D[u[2][x,y,t],x]^2 +
               u[4][x,y,t]^2*D[u[1][x,y,t],x] + u[4][x,y,t]*D[u[1][x,y,t],y]) +
               t*D[f[y],y]*(D[u[1][x,y,t],x]*D[u[2][x,y,t],y] +
               u[1][x,y,t]*D[u[1][x,y,t],x]*D[u[2][x,y,t],x] +
               u[3][x,y,t]*D[u[2][x,y,t],x]^2 +
               D[u[1][x,y,t],x]*D[u[2][x,y,t],x]^3 + u[3][x,y,t]*u[4][x,y,t] +
               u[4][x,y,t]*D[u[1][x,y,t],x]*D[u[2][x,y,t],x]) +
               D[f[y],y]*(u[2][x,y,t]*u[3][x,y,t] +
               D[u[1][x,y,t],x]*u[2][x,y,t]*D[u[2][x,y,t],x]) +
               D[f[y],{y,2}]*t*D[u[1][x,y,t],x]*u[2][x,y,t] +
               (x*D[f[y],y] + t^2*D[f[y],{y,2}])*(u[3][x,y,t]*D[u[2][x,y,t],x] +
               D[u[1][x,y,t],x]*D[u[2][x,y,t],x]^2 +
               u[4][x,y,t]*D[u[1][x,y,t],x]) +
               (x*D[f[y],{y,2}] + t^2*D[f[y],{y,3}])*(t*u[3][x,y,t] +
               t*D[u[1][x,y,t],x]*D[u[2][x,y,t],x] + u[1][x,y,t]);
*)

(* REFERENCE:                                                           *)
(* S. V. Manakov and P. M. Santini, A heirardchy of integrable PDEs in  *)
(* 2+1 dimensions associated with 2-dimensional vector fields,          *)
(* Theor. Math. Phys., V. 152 (2007), pp. 1004-1011.                    *)

(* d_ms2d.m *)
(* end of file *)
